Commit 8bbf975272d2346e64479cef8e8522e1ab5244de
1 parent
4d64ebce
no message
Showing
2 changed files
with
4 additions
and
3 deletions
CNLiveIntegralModule/Classes/Tools/CNLiveGoldWhereaboutsView.h
| @@ -12,6 +12,7 @@ | @@ -12,6 +12,7 @@ | ||
| 12 | 12 | ||
| 13 | #import "CAEmitterLayerView.h" | 13 | #import "CAEmitterLayerView.h" |
| 14 | #import "CNLiveSignInView.h" | 14 | #import "CNLiveSignInView.h" |
| 15 | + | ||
| 15 | #import "CNLiveIntegralServiceProtocol.h" | 16 | #import "CNLiveIntegralServiceProtocol.h" |
| 16 | 17 | ||
| 17 | NS_ASSUME_NONNULL_BEGIN | 18 | NS_ASSUME_NONNULL_BEGIN |
| @@ -27,7 +28,7 @@ typedef NS_ENUM(NSUInteger, CNLiveGoldWhereaboutsViewType) { | @@ -27,7 +28,7 @@ typedef NS_ENUM(NSUInteger, CNLiveGoldWhereaboutsViewType) { | ||
| 27 | @property (nonatomic, weak) id<CNLiveGoldWhereaboutsViewDelegate> delegate; | 28 | @property (nonatomic, weak) id<CNLiveGoldWhereaboutsViewDelegate> delegate; |
| 28 | 29 | ||
| 29 | // 游客模式浏览加积分 | 30 | // 游客模式浏览加积分 |
| 30 | -+ (void)showGoldWhereaboutsViewWithDesc:(NSString *)desc delegate:(id<CNLiveGoldWhereaboutsViewDelegate>) delegate; | 31 | ++ (void)showGoldWhereaboutsViewWithDesc:(NSString *)desc delegate:(id<CNLiveGoldWhereaboutsViewDelegate>)delegate; |
| 31 | 32 | ||
| 32 | // 默认展示添加积分视图 | 33 | // 默认展示添加积分视图 |
| 33 | + (void)showGoldWhereaboutsViewWithDesc:(NSString *)desc score:(NSString *)score; | 34 | + (void)showGoldWhereaboutsViewWithDesc:(NSString *)desc score:(NSString *)score; |
Example/CNLiveIntegralModule.xcodeproj/project.pbxproj
| @@ -207,7 +207,7 @@ | @@ -207,7 +207,7 @@ | ||
| 207 | 6003F586195388D20070C39A /* Sources */, | 207 | 6003F586195388D20070C39A /* Sources */, |
| 208 | 6003F587195388D20070C39A /* Frameworks */, | 208 | 6003F587195388D20070C39A /* Frameworks */, |
| 209 | 6003F588195388D20070C39A /* Resources */, | 209 | 6003F588195388D20070C39A /* Resources */, |
| 210 | - CBDAD315274CCD9A70725B7A /* [CP] Embed Pods Frameworks */, | 210 | + DC6D3F3A697DDBCCAD911966 /* [CP] Embed Pods Frameworks */, |
| 211 | ); | 211 | ); |
| 212 | buildRules = ( | 212 | buildRules = ( |
| 213 | ); | 213 | ); |
| @@ -342,7 +342,7 @@ | @@ -342,7 +342,7 @@ | ||
| 342 | shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; | 342 | shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; |
| 343 | showEnvVarsInLog = 0; | 343 | showEnvVarsInLog = 0; |
| 344 | }; | 344 | }; |
| 345 | - CBDAD315274CCD9A70725B7A /* [CP] Embed Pods Frameworks */ = { | 345 | + DC6D3F3A697DDBCCAD911966 /* [CP] Embed Pods Frameworks */ = { |
| 346 | isa = PBXShellScriptBuildPhase; | 346 | isa = PBXShellScriptBuildPhase; |
| 347 | buildActionMask = 2147483647; | 347 | buildActionMask = 2147483647; |
| 348 | files = ( | 348 | files = ( |